summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: c2d5036)
raw | patch | inline | side by side (parent: c2d5036)
author | Junio C Hamano <junkio@cox.net> | |
Tue, 4 Oct 2005 08:11:27 +0000 (01:11 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 5 Oct 2005 00:04:44 +0000 (17:04 -0700) |
- Defined variable $INFO was not used properly.
- Make sure there is an empty line between the sign-off and the
log message.
Signed-off-by: Junio C Hamano <junkio@cox.net>
- Make sure there is an empty line between the sign-off and the
log message.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-applypatch.sh | patch | blob | history |
diff --git a/git-applypatch.sh b/git-applypatch.sh
index 9f5a45bb2bbb330207ea4410a76f5521bdc7b850..14635d9bce2b496984f56a656d52cf75523a208e 100755 (executable)
--- a/git-applypatch.sh
+++ b/git-applypatch.sh
SIGNOFF=$4
EDIT=${VISUAL:-${EDITOR:-vi}}
-export GIT_AUTHOR_NAME="$(sed -n '/^Author/ s/Author: //p' .dotest/info)"
-export GIT_AUTHOR_EMAIL="$(sed -n '/^Email/ s/Email: //p' .dotest/info)"
-export GIT_AUTHOR_DATE="$(sed -n '/^Date/ s/Date: //p' .dotest/info)"
-export SUBJECT="$(sed -n '/^Subject/ s/Subject: //p' .dotest/info)"
+export GIT_AUTHOR_NAME="$(sed -n '/^Author/ s/Author: //p' "$INFO")"
+export GIT_AUTHOR_EMAIL="$(sed -n '/^Email/ s/Email: //p' "$INFO")"
+export GIT_AUTHOR_DATE="$(sed -n '/^Date/ s/Date: //p' "$INFO")"
+export SUBJECT="$(sed -n '/^Subject/ s/Subject: //p' "$INFO")"
if test '' != "$SIGNOFF"
then
sed -ne '/^Signed-off-by: /p' "$MSGFILE" |
tail -n 1
`
- test "$LAST_SIGNED_OFF_BY" = "$SIGNOFF" ||
- echo "$SIGNOFF" >>"$MSGFILE"
+ test "$LAST_SIGNED_OFF_BY" = "$SIGNOFF" || {
+ test '' = "$LAST_SIGNED_OFF_BY" && echo
+ echo "$SIGNOFF"
+ } >>"$MSGFILE"
fi
fi
echo Applying "'$SUBJECT'"
echo
-git-apply --index "$PATCHFILE" || exit 1
+git-apply --index "$PATCHFILE" || {
+ # Here if we know which revision the patch applies to,
+ # we create a temporary working tree and index, apply the
+ # patch, and attempt 3-way merge with the resulting tree.
+ exit 1
+}
if test -x "$GIT_DIR"/hooks/pre-applypatch
then